focal_point.settings:
  type: config_object
  label: 'Focal point settings'
  mapping:
    crop_type:
      type: string
      label: 'Crop type to be used with Focal point'
    default_value:
      type: string
      label: 'The default value to use for focal point when none is specified'

image.effect.focal_point_scale_and_crop:
  type: image_size
  label: 'Focal Point Scale and Crop'
  mapping:
    crop_type:
      type: string
      label: 'Crop type to be used with Focal point'

image.effect.focal_point_crop:
  type: image_size
  label: 'Focal Point Crop'
  mapping:
    crop_type:
      type: string
      label: 'Crop type to be used with Focal point'

field.widget.settings.image_focal_point:
  type: mapping
  label: 'Focal Point widget settings'
  mapping:
    progress_indicator:
      type: string
      label: 'Progress indicator'
    preview_image_style:
      type: string
      label: 'Preview image style'
    preview_link:
      type: boolean
      label: 'Preview link'
    offsets:
      type: string
      label: 'Focal point offsets'
